org.apache.lucene.geo

## Enum Component2D.WithinRelation

- java.lang.Object
- - java.lang.Enum<Component2D.WithinRelation>
  - - org.apache.lucene.geo.Component2D.WithinRelation

All Implemented Interfaces:
  Serializable, Comparable<Component2D.WithinRelation>

Enclosing interface:
  Component2D

    public static enum Component2D.WithinRelation
    extends Enum<Component2D.WithinRelation>

Used by withinTriangle to check the within relationship between a triangle and the query shape (e.g. if the query shape is within the triangle).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANDIDATE` If the shape is a candidate for within.
`DISJOINT` The query shape is disjoint with the triangle.
`NOTWITHIN` The query shape intersects an edge that does belong to the original shape or any point of the triangle is inside the shape.

### Method Summary

All Methods Static Methods Concrete Methods
`static Component2D.WithinRelation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Component2D.WithinRelation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CANDIDATE

    public static final Component2D.WithinRelation CANDIDATE

If the shape is a candidate for within. Typically this is return if the query shape is fully inside the triangle or if the query shape intersects only edges that do not belong to the original shape.

#### NOTWITHIN

    public static final Component2D.WithinRelation NOTWITHIN

The query shape intersects an edge that does belong to the original shape or any point of the triangle is inside the shape.

#### DISJOINT

    public static final Component2D.WithinRelation DISJOINT

The query shape is disjoint with the triangle.

### Method Detail

#### values

    public static Component2D.WithinRelation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Component2D.WithinRelation c : Component2D.WithinRelation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Component2D.WithinRelation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null